<template>
  <div class="card">
    <h2>{{title}}</h2>
    <p>{{text}}</p>
    {{ message }}
    <button @click="onClick">
      Change
    </button>
  </div>
</template>

<script>
export default {
  name: 'Card',
  props: ['title','text'],
  data () {
    
    return {
      message: 'Try change me!'
    }
  },
  methods: {
    onClick () {
      this.message = 'Here you go :)'
    }
  }
}
</script>

<style>
.card {
    padding: 20px;
    background: #f90;
    margin: 1rem 0;
}
</style>